summaryrefslogtreecommitdiff
path: root/dev-util/reuse
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-04 16:47:34 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-04 16:47:34 -0500
commitdda948891d3731927b821ce31f9d9a2d03ba20c5 (patch)
tree99cd40be4cbb0606260da212cd81b8ab2db9da9b /dev-util/reuse
parenta3ceca1b4c0d9bdb550dc23f06ffbb5a8e033bc7 (diff)
downloadbaldeagleos-repo-dda948891d3731927b821ce31f9d9a2d03ba20c5.tar.gz
baldeagleos-repo-dda948891d3731927b821ce31f9d9a2d03ba20c5.tar.xz
baldeagleos-repo-dda948891d3731927b821ce31f9d9a2d03ba20c5.zip
Adding metadata
Diffstat (limited to 'dev-util/reuse')
-rw-r--r--dev-util/reuse/Manifest5
-rw-r--r--dev-util/reuse/files/reuse-2.1.0_docs.patch15
-rw-r--r--dev-util/reuse/metadata.xml12
-rw-r--r--dev-util/reuse/reuse-2.1.0.ebuild50
-rw-r--r--dev-util/reuse/reuse-3.0.1.ebuild50
-rw-r--r--dev-util/reuse/reuse-3.0.2.ebuild50
-rw-r--r--dev-util/reuse/reuse-5.0.2.ebuild50
-rw-r--r--dev-util/reuse/reuse-6.2.0.ebuild50
8 files changed, 282 insertions, 0 deletions
diff --git a/dev-util/reuse/Manifest b/dev-util/reuse/Manifest
new file mode 100644
index 000000000000..d9598e7002fe
--- /dev/null
+++ b/dev-util/reuse/Manifest
@@ -0,0 +1,5 @@
+DIST reuse-2.1.0.gh.tar.gz 260786 BLAKE2B 371c1167e10449ecdbaf0a93dbfa7d50c700daaf71394379a48d1baaae0b1be03728e79fd551da75a3743e06cae1a77e7445482222845d1356a6af3eb39bef46 SHA512 912d713b2c68029cc67a5fbebfca61d96165ae8ae9d927bbdd651cf2130104b297d5c0133f1a46442cba3ec84d00ba92c27414bff770d2250f5a2131c7ad4aef
+DIST reuse-3.0.1.gh.tar.gz 305441 BLAKE2B e2f0cc4b4aea3e2b09e4ee395ec545a6cd683a083d05498b56401782439882853673bfb3d589ef6c4986cd86fcab64b9cc5ae40e5ddc7f36478582ca458fff81 SHA512 eb3aeb98b6fe127001702cf2a2c067e298fba071582206174a3647ccbf38263fa71dc6e56558926e4adce628c541035e4bce2afaa9fddfd89cbdb20cfe57aef5
+DIST reuse-3.0.2.gh.tar.gz 305529 BLAKE2B 96835aa6c47a951d7515236a632895e22ea93cad3602c4c37f45714ebe830b605315af479b7e5bbad764420ffc59997a163bbbe7a1b133bcd72f88af60b67c80 SHA512 cdf37980dddb116823fd0f0d47f6b6380e9da500cb3f33cf4fcfb75c367af7a7e3147848463f3d70c28dce72b8c0ad5d0b8284a69f7905050b0ba9ee7fff2f5c
+DIST reuse-5.0.2.gh.tar.gz 398518 BLAKE2B 11687ee3f396bde63248ce23311775ebddcc7424a0a3106a70d7cf4e00af391e65f0bf0d68310babb0ecc8522b8486a5c51f1b2953d54ed3863bd68a09ae23d5 SHA512 472048dcb16df330478727278de593e6e102fe224d7acd485666d3d2ceb49725426e008e1c116c41acea3c767de347cf5e4775c1471cb287c5d594860db75a5a
+DIST reuse-6.2.0.tar.gz 508748 BLAKE2B 74ea97df574c820f11fd85f2bac8375f180ce7d4d69740eb89661fbbb8881a88a251b6f044f6445cd6cfcb2c8cf7b0614413d35cddf7fd5da25a41e8907c386a SHA512 dc951c2a27b5737b30039e88a2a6427bec4a154245fece5769695e94561cc0f85523a7b24a995e9b3cd9f78153d8ae7feff893676ff3f0840b0eaa3c1cd052d9
diff --git a/dev-util/reuse/files/reuse-2.1.0_docs.patch b/dev-util/reuse/files/reuse-2.1.0_docs.patch
new file mode 100644
index 000000000000..a9f19a8ea0a4
--- /dev/null
+++ b/dev-util/reuse/files/reuse-2.1.0_docs.patch
@@ -0,0 +1,15 @@
+--- a/docs/conf.py
++++ b/docs/conf.py
+@@ -189,9 +189,9 @@
+ """Copy the markdown files from the root of the project into the docs/
+ directory.
+ """
+- copyfile("../README.md", "readme.md")
+- copyfile("../CHANGELOG.md", "history.md")
+- copyfile("../CONTRIBUTING.md", "contributing.md")
++ copyfile("README.md", "docs/readme.md")
++ copyfile("CHANGELOG.md", "docs/history.md")
++ copyfile("CONTRIBUTING.md", "docs/contributing.md")
+
+
+ def setup(app):
diff --git a/dev-util/reuse/metadata.xml b/dev-util/reuse/metadata.xml
new file mode 100644
index 000000000000..ccc47de7dc74
--- /dev/null
+++ b/dev-util/reuse/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>jstein@gentoo.org</email>
+ <name>Jonas Stein</name>
+ </maintainer>
+ <upstream>
+ <doc>https://reuse.readthedocs.io/</doc>
+ </upstream>
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>
diff --git a/dev-util/reuse/reuse-2.1.0.ebuild b/dev-util/reuse/reuse-2.1.0.ebuild
new file mode 100644
index 000000000000..c6fd9ba6595c
--- /dev/null
+++ b/dev-util/reuse/reuse-2.1.0.ebuild
@@ -0,0 +1,50 @@
+# Copyright 2022-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{13..14} )
+DISTUTILS_USE_PEP517=poetry
+
+inherit distutils-r1
+
+DESCRIPTION="Manage license information according to the SPDX standard"
+HOMEPAGE="https://reuse.software/
+ https://github.com/fsfe/reuse-tool"
+MY_PN="${PN}-tool"
+SRC_URI="https://github.com/fsfe/${MY_PN}/archive/refs/tags/v${PV}.tar.gz -> ${P}.gh.tar.gz"
+S="${WORKDIR}/${MY_PN}-${PV}"
+
+LICENSE="GPL-3+ CC-BY-SA-4.0 CC0-1.0 Apache-2.0"
+SLOT="0"
+KEYWORDS="amd64"
+
+RDEPEND=">=dev-python/binaryornot-0.4.4[${PYTHON_USEDEP}]
+ >=dev-python/boolean-py-3.8[${PYTHON_USEDEP}]
+ >=dev-python/jinja2-3.0.0[${PYTHON_USEDEP}]
+ >=dev-python/license-expression-1.0[${PYTHON_USEDEP}]
+ >=dev-python/python-debian-0.1.48[${PYTHON_USEDEP}]"
+
+BDEPEND="sys-devel/gettext
+ test? (
+ dev-vcs/git
+ dev-vcs/mercurial
+ )"
+
+PATCHES=( "${FILESDIR}/reuse-2.1.0_docs.patch" )
+
+DOCS=( AUTHORS.rst CHANGELOG.md CODE_OF_CONDUCT.md CONTRIBUTING.md README.md )
+
+distutils_enable_tests pytest
+
+# dev-python/sphinx-autodoc-typehints will be dropped after 2.1.0
+distutils_enable_sphinx docs \
+ ">=dev-python/furo-2023.3.27" \
+ ">=dev-python/recommonmark-0.7.1" \
+ ">=dev-python/sphinxcontrib-apidoc-0.3.0" \
+ ">=dev-python/sphinx-autodoc-typehints-1.12.0"
+
+python_test() {
+ cd "${T}" || die
+ epytest "${S}"/tests
+}
diff --git a/dev-util/reuse/reuse-3.0.1.ebuild b/dev-util/reuse/reuse-3.0.1.ebuild
new file mode 100644
index 000000000000..c6fd9ba6595c
--- /dev/null
+++ b/dev-util/reuse/reuse-3.0.1.ebuild
@@ -0,0 +1,50 @@
+# Copyright 2022-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{13..14} )
+DISTUTILS_USE_PEP517=poetry
+
+inherit distutils-r1
+
+DESCRIPTION="Manage license information according to the SPDX standard"
+HOMEPAGE="https://reuse.software/
+ https://github.com/fsfe/reuse-tool"
+MY_PN="${PN}-tool"
+SRC_URI="https://github.com/fsfe/${MY_PN}/archive/refs/tags/v${PV}.tar.gz -> ${P}.gh.tar.gz"
+S="${WORKDIR}/${MY_PN}-${PV}"
+
+LICENSE="GPL-3+ CC-BY-SA-4.0 CC0-1.0 Apache-2.0"
+SLOT="0"
+KEYWORDS="amd64"
+
+RDEPEND=">=dev-python/binaryornot-0.4.4[${PYTHON_USEDEP}]
+ >=dev-python/boolean-py-3.8[${PYTHON_USEDEP}]
+ >=dev-python/jinja2-3.0.0[${PYTHON_USEDEP}]
+ >=dev-python/license-expression-1.0[${PYTHON_USEDEP}]
+ >=dev-python/python-debian-0.1.48[${PYTHON_USEDEP}]"
+
+BDEPEND="sys-devel/gettext
+ test? (
+ dev-vcs/git
+ dev-vcs/mercurial
+ )"
+
+PATCHES=( "${FILESDIR}/reuse-2.1.0_docs.patch" )
+
+DOCS=( AUTHORS.rst CHANGELOG.md CODE_OF_CONDUCT.md CONTRIBUTING.md README.md )
+
+distutils_enable_tests pytest
+
+# dev-python/sphinx-autodoc-typehints will be dropped after 2.1.0
+distutils_enable_sphinx docs \
+ ">=dev-python/furo-2023.3.27" \
+ ">=dev-python/recommonmark-0.7.1" \
+ ">=dev-python/sphinxcontrib-apidoc-0.3.0" \
+ ">=dev-python/sphinx-autodoc-typehints-1.12.0"
+
+python_test() {
+ cd "${T}" || die
+ epytest "${S}"/tests
+}
diff --git a/dev-util/reuse/reuse-3.0.2.ebuild b/dev-util/reuse/reuse-3.0.2.ebuild
new file mode 100644
index 000000000000..7af15d3a41e5
--- /dev/null
+++ b/dev-util/reuse/reuse-3.0.2.ebuild
@@ -0,0 +1,50 @@
+# Copyright 2022-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{13..14} )
+DISTUTILS_USE_PEP517=poetry
+
+inherit distutils-r1
+
+DESCRIPTION="Manage license information according to the SPDX standard"
+HOMEPAGE="https://reuse.software/
+ https://github.com/fsfe/reuse-tool"
+MY_PN="${PN}-tool"
+SRC_URI="https://github.com/fsfe/${MY_PN}/archive/refs/tags/v${PV}.tar.gz -> ${P}.gh.tar.gz"
+S="${WORKDIR}/${MY_PN}-${PV}"
+
+LICENSE="GPL-3+ CC-BY-SA-4.0 CC0-1.0 Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND=">=dev-python/binaryornot-0.4.4[${PYTHON_USEDEP}]
+ >=dev-python/boolean-py-3.8[${PYTHON_USEDEP}]
+ >=dev-python/jinja2-3.0.0[${PYTHON_USEDEP}]
+ >=dev-python/license-expression-1.0[${PYTHON_USEDEP}]
+ >=dev-python/python-debian-0.1.48[${PYTHON_USEDEP}]"
+
+BDEPEND="sys-devel/gettext
+ test? (
+ dev-vcs/git
+ dev-vcs/mercurial
+ )"
+
+PATCHES=( "${FILESDIR}/reuse-2.1.0_docs.patch" )
+
+DOCS=( AUTHORS.rst CHANGELOG.md CODE_OF_CONDUCT.md CONTRIBUTING.md README.md )
+
+distutils_enable_tests pytest
+
+# dev-python/sphinx-autodoc-typehints will be dropped after 2.1.0
+distutils_enable_sphinx docs \
+ ">=dev-python/furo-2023.3.27" \
+ ">=dev-python/recommonmark-0.7.1" \
+ ">=dev-python/sphinxcontrib-apidoc-0.3.0" \
+ ">=dev-python/sphinx-autodoc-typehints-1.12.0"
+
+python_test() {
+ cd "${T}" || die
+ epytest "${S}"/tests
+}
diff --git a/dev-util/reuse/reuse-5.0.2.ebuild b/dev-util/reuse/reuse-5.0.2.ebuild
new file mode 100644
index 000000000000..1a51c72af281
--- /dev/null
+++ b/dev-util/reuse/reuse-5.0.2.ebuild
@@ -0,0 +1,50 @@
+# Copyright 2022-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{13..14} )
+DISTUTILS_USE_PEP517=poetry
+
+inherit distutils-r1
+
+DESCRIPTION="Manage license information according to the SPDX standard"
+HOMEPAGE="https://reuse.software/
+ https://github.com/fsfe/reuse-tool"
+MY_PN="${PN}-tool"
+SRC_URI="https://github.com/fsfe/${MY_PN}/archive/refs/tags/v${PV}.tar.gz -> ${P}.gh.tar.gz"
+S="${WORKDIR}/${MY_PN}-${PV}"
+
+LICENSE="GPL-3+ CC-BY-SA-4.0 CC0-1.0 Apache-2.0"
+SLOT="0"
+KEYWORDS="amd64"
+
+RDEPEND=">=dev-python/binaryornot-0.4.4[${PYTHON_USEDEP}]
+ >=dev-python/boolean-py-3.8[${PYTHON_USEDEP}]
+ >=dev-python/jinja2-3.0.0[${PYTHON_USEDEP}]
+ >=dev-python/license-expression-1.0[${PYTHON_USEDEP}]
+ >=dev-python/python-debian-0.1.48[${PYTHON_USEDEP}]
+ >=dev-python/tomlkit-0.8[${PYTHON_USEDEP}]
+ >=dev-python/attrs-21.3[${PYTHON_USEDEP}]
+ >=dev-python/click-8.0.0[${PYTHON_USEDEP}]"
+
+BDEPEND="sys-devel/gettext
+ test? (
+ dev-vcs/git
+ dev-vcs/mercurial
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ )"
+
+DOCS=( AUTHORS.rst CHANGELOG.md CODE_OF_CONDUCT.md CONTRIBUTING.md README.md )
+
+distutils_enable_tests pytest
+
+distutils_enable_sphinx docs \
+ ">=dev-python/furo-2023.3.27" \
+ ">=dev-python/recommonmark-0.7.1" \
+ ">=dev-python/sphinxcontrib-apidoc-0.3.0"
+
+python_test() {
+ cd "${T}" || die
+ epytest "${S}"/tests
+}
diff --git a/dev-util/reuse/reuse-6.2.0.ebuild b/dev-util/reuse/reuse-6.2.0.ebuild
new file mode 100644
index 000000000000..41536ed50ec4
--- /dev/null
+++ b/dev-util/reuse/reuse-6.2.0.ebuild
@@ -0,0 +1,50 @@
+# Copyright 2022-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{13..14} )
+DISTUTILS_USE_PEP517=poetry
+
+inherit distutils-r1
+
+DESCRIPTION="Manage license information according to the SPDX standard"
+HOMEPAGE="https://reuse.software/
+ https://codeberg.org/fsfe/reuse-tool"
+MY_PN="${PN}-tool"
+SRC_URI="https://codeberg.org/fsfe/${MY_PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/${MY_PN}"
+
+LICENSE="GPL-3+ CC-BY-SA-4.0 CC0-1.0 Apache-2.0"
+SLOT="0"
+KEYWORDS="amd64"
+
+RDEPEND=">=dev-python/binaryornot-0.4.4[${PYTHON_USEDEP}]
+ >=dev-python/boolean-py-3.8[${PYTHON_USEDEP}]
+ >=dev-python/jinja2-3.0.0[${PYTHON_USEDEP}]
+ >=dev-python/license-expression-21.6.14[${PYTHON_USEDEP}]
+ >=dev-python/python-debian-0.1.48[${PYTHON_USEDEP}]
+ >=dev-python/tomlkit-0.8[${PYTHON_USEDEP}]
+ >=dev-python/attrs-23.2[${PYTHON_USEDEP}]
+ >=dev-python/click-8.1.0[${PYTHON_USEDEP}]"
+
+BDEPEND="sys-devel/gettext
+ test? (
+ dev-vcs/git
+ dev-vcs/mercurial
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ )"
+
+DOCS=( AUTHORS.rst CHANGELOG.md CODE_OF_CONDUCT.md CONTRIBUTING.md README.md )
+
+distutils_enable_tests pytest
+
+distutils_enable_sphinx docs \
+ ">=dev-python/myst-parser-2.0.0" \
+ ">=dev-python/sphinxcontrib-apidoc-0.3.0" \
+ ">=dev-python/furo-2023.3.27"
+
+python_test() {
+ cd "${T}" || die
+ epytest "${S}"/tests
+}